Subject: RE: [SECURITY] [DSA-096-1] mutt buffer overflow
From: "Gary R. Van Sickle" <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>
Cc: "Gary R Van Sickle" <[email-masked]>
Date: Thu, 3 Jan 2002 05:33:26 -0600

Oh Lord.  Thanks for the heads up Corinna, I had not seen this.  I'm not going
to get a chance to reroll this until tomorrow evening; do you think this
warrants pulling the current build from distribution?  If so, by all means do
so.  I can write up an explanation/warning tomorrow and post it to the main list
if you think that's warranted (I guess I do, even if you don't want to pull it).

--
Gary R. Van Sickle
Brewer.  Patriot.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Corinna Vinschen
> Sent: Thursday, January 03, 2002 5:20 AM
> To: cygwin
> Subject: FW: [SECURITY] [DSA-096-1] mutt buffer overflow
>
>
> -----Original Message-----
> From: Wichert Akkerman [mailto:[email-masked]]
> Sent: Wednesday, January 02, 2002 6:39 PM
> To: [email-masked]
> Subject: [SECURITY] [DSA-096-1] mutt buffer overflow
>
>
> -----BEGIN PGP SIGNED MESSAGE-----
>
> -
> --------------------------------------------------------------
> ----------
> Debian Security Advisory DSA-096-1
> [email-masked]
> http://www.debian.org/security/
> Wichert Akkerman
> January  2, 2002
> -
> --------------------------------------------------------------
> ----------
>
>
> Package        : mutt
> Problem type   : buffer overflow
> Debian-specific: no
>
> Joost Pol found a buffer overflow in the address handling code of
> mutt (a popular mail user agent). Even though this is a one byte
> overflow this is exploitable.
>
> This has been fixed upstream in version 1.2.5.1 and 1.3.25. The
> relevant patch has been added to version 1.2.5-5 of the Debian
> package.
>
> wget url
>         will fetch the file for you
> dpkg -i file.deb
>         will install the referenced file.
>
>
> Debian GNU/Linux 2.2 alias potato
> - ---------------------------------
>
>   Potato was released for alpha, arm, i386, m68k, powerpc and sparc.
>   At this moment packages for sparc are not yet available.
>
>   Source archives:
>
> http://security.debian.org/dists/stable/updates/main/source/mu
> tt_1.2.5-5.diff.gz
>       MD5 checksum: 04f7c13c3bf6a1d4fcb4bf1a594522a1
>
> http://security.debian.org/dists/stable/updates/main/source/mu
> tt_1.2.5-5.dsc
>       MD5 checksum: 0ba73a6dd8029339329c27b56087ebce
>
> http://security.debian.org/dists/stable/updates/main/source/mu
> tt_1.2.5.orig.tar.gz
>       MD5 checksum: 0ba5367059abdd55daceb82dce6be42f
>
>   Alpha architecture:
>
> http://security.debian.org/dists/stable/updates/main/binary-al
> pha/mutt_1.2.5-5_alpha.deb
>       MD5 checksum: b206557565607833551219ff67737cd4
>
>   ARM architecture:
>
> http://security.debian.org/dists/stable/updates/main/binary-ar
> m/mutt_1.2.5-5_arm.deb
>       MD5 checksum: 57c0c2602c3bfde3f459f01515432eac
>
>   Intel IA-32 architecture:
>
http://security.debian.org/dists/stable/updates/main/binary-i386/mutt_1.2.5-5_i3
86.deb
      MD5 checksum: d72fa58b0914762674648a68d410b4b9

  Motorola 680x0 architecture:

http://security.debian.org/dists/stable/updates/main/binary-m68k/mutt_1.2.5-5_m6
8k.deb
      MD5 checksum: 266c451cee06693e7f40917b0465981a

  PowerPC architecture:

http://security.debian.org/dists/stable/updates/main/binary-powerpc/mutt_1.2.5-5
_powerpc.deb
      MD5 checksum: aec60dae6148ac9da29c111e70ea77b0

  These packages will be moved into the stable distribution on its next
  revision.

For not yet released architectures please refer to the appropriate
directory ftp://ftp.debian.org/debian/dists/sid/binary-$arch/ .

- --
- ----------------------------------------------------------------------------
apt-get: deb http://security.debian.org/ stable/updates main
dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/